Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.pm
Interface CacheStore

All Known Implementing Classes:
  PersistenceManager, PersistenceManager, PersistenceManager

public interface CacheStore

A cache store.

Version:
  $Revision: 1.4 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Paul Kendall (paul.kendall@orion.co.nz), Adrian Brock

Method Summary
`SpyMessage` | `loadFromStorage(MessageReference mh)` Reads the message refered to by the MessagReference back as a SpyMessage
`void` | `removeFromStorage(MessageReference mh)` Removes the message that was stored in secondary storage.
`void` | `saveToStorage(MessageReference mh, SpyMessage message)` Stores the given message to secondary storeage.

Method Detail

### loadFromStorage

    public SpyMessage loadFromStorage(MessageReference mh)
                               throws javax.jms.JMSException

  Reads the message refered to by the MessagReference back as a SpyMessage

  Parameters:
    `mh` - the message reference
  Returns:
    the message
  Throws:
    `javax.jms.JMSException` - for any error

### saveToStorage

    public void saveToStorage(MessageReference mh,
                              SpyMessage message)
                       throws javax.jms.JMSException

  Stores the given message to secondary storeage. You should be able to use the MessagReference to load the message back later.

  Parameters:
    `mh` - the message reference
    `message` - the message
  Throws:
    `javax.jms.JMSException` - for any error

### removeFromStorage

    public void removeFromStorage(MessageReference mh)
                           throws javax.jms.JMSException

  Removes the message that was stored in secondary storage.

  Parameters:
    `mh` - the message reference
  Throws:
    `javax.jms.JMSException` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.